# os_semaphore.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/os_time.h"`

Include dependency graph for os_semaphore.h:

This graph shows which files directly or indirectly include this file:

## Detailed Description

semaphores (REALTIME)

Id
  os_semaphore.h,v 1.4 2004/12/20 13:25:38 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.